org.richfaces.fragment.inputNumberSlider

## Class RichFacesInputNumberSlider.AdvancedInputNumberSliderInteractions

- java.lang.Object
- - org.richfaces.fragment.inputNumberSlider.AbstractNumberInput.AdvancedNumberInputInteractions
  - - org.richfaces.fragment.inputNumberSlider.RichFacesInputNumberSlider.AdvancedInputNumberSliderInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesInputNumberSlider

      public class RichFacesInputNumberSlider.AdvancedInputNumberSliderInteractions
      extends AbstractNumberInput.AdvancedNumberInputInteractions
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesInputNumberSlider.AdvancedInputNumberSliderInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dragHandleToPointInTrace(int pixelInTrace)`
    `org.openqa.selenium.WebElement` | `getArrowDecreaseElement()`
    `org.openqa.selenium.WebElement` | `getArrowIncreaseElement()`
    `org.openqa.selenium.WebElement` | `getDisabledHandleElement()`
    `protected org.openqa.selenium.WebElement` | `getHandleContainer()`
    `org.openqa.selenium.WebElement` | `getHandleElement()`
    `TextInputComponentImpl` | `getInput()`
    `org.openqa.selenium.WebElement` | `getMaximumElement()`
    `org.openqa.selenium.WebElement` | `getMinimumElement()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `org.openqa.selenium.WebElement` | `getSliderElement()`
    `org.openqa.selenium.WebElement` | `getTooltipElement()`
    `org.openqa.selenium.WebElement` | `getTrackElement()`
    `int` | `getWidth()`
    `boolean` | `isVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesInputNumberSlider.AdvancedInputNumberSliderInteractions

          public RichFacesInputNumberSlider.AdvancedInputNumberSliderInteractions()

  - ### Method Detail

    - #### dragHandleToPointInTrace

          public void dragHandleToPointInTrace(int pixelInTrace)

    - #### getWidth

          public int getWidth()

    - #### getArrowIncreaseElement

          public org.openqa.selenium.WebElement getArrowIncreaseElement()

      Specified by:
        `getArrowIncreaseElement` in class `AbstractNumberInput.AdvancedNumberInputInteractions`

    - #### getArrowDecreaseElement

          public org.openqa.selenium.WebElement getArrowDecreaseElement()

      Specified by:
        `getArrowDecreaseElement` in class `AbstractNumberInput.AdvancedNumberInputInteractions`

    - #### getInput

          public TextInputComponentImpl getInput()

      Specified by:
        `getInput` in class `AbstractNumberInput.AdvancedNumberInputInteractions`

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### getDisabledHandleElement

          public org.openqa.selenium.WebElement getDisabledHandleElement()

    - #### getHandleContainer

          protected org.openqa.selenium.WebElement getHandleContainer()

    - #### getHandleElement

          public org.openqa.selenium.WebElement getHandleElement()

    - #### getMinimumElement

          public org.openqa.selenium.WebElement getMinimumElement()

    - #### getMaximumElement

          public org.openqa.selenium.WebElement getMaximumElement()

    - #### getTrackElement

          public org.openqa.selenium.WebElement getTrackElement()

    - #### getTooltipElement

          public org.openqa.selenium.WebElement getTooltipElement()

    - #### getSliderElement

          public org.openqa.selenium.WebElement getSliderElement()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.